Bug 147275 - Yum tries to upgrade newer package with older version
Yum tries to upgrade newer package with older version
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-05 20:52 EST by Phil Schaffner
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 01:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output with -d5 attached. (1.50 KB, application/x-tar)
2005-02-05 20:53 EST, Phil Schaffner
no flags Details

  None (edit)
Description Phil Schaffner 2005-02-05 20:52:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Attempted update with yum fails due to newer version of package
alreasy being installed.

Version-Release number of selected component (if applicable):
yum-2.1.13-0.fc3 (updates-testing)

How reproducible:
Always

Steps to Reproduce:
1. Run "yum upgrade"
2. Fails due to newer package already installed.
3.
    

Actual Results:  Error after Transaction Test

Expected Results:  Successful dependency resolution

Additional info:

# yum upgrade
Setting up Upgrade Process
Setting up Repos
extras-debug              100% |=========================|  951 B    00:00
extras                    100% |=========================|  951 B    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================|  951 B    00:00
local                     100% |=========================|  951 B    00:00
Reading repository metadata in from local files
extras-deb: ################################################## 393/393
extras    : ################################################## 723/723
updates-re: ################################################## 659/659
base      : ################################################## 1652/1652
local     : ################################################## 46/46
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wxGTK.i386 0:2.4.2-7 set to be updated
---> Package perl-IO-Socket-SSL.noarch 0:0.96-3 set to be updated
---> Package portaudio.i386 0:18.1-3 set to be updated
---> Package synaptic.i386 0:0.55.3-2 set to be updated
---> Package id3lib.i386 0:3.8.3-9 set to be updated
---> Package Hermes.i386 0:1.3.3-6 set to be updated
---> Package imlib2.i386 0:1.2.0-4 set to be updated
---> Package alsaplayer.i386 0:0.99.76-3 set to be updated
---> Package pyzor.noarch 0:0.4.0-6 set to be updated
---> Package xosd.i386 0:2.2.14-1 set to be updated
--> Running transaction check
--> Processing Dependency: wxGTK-common = 2.4.2-7 for package: wxGTK
--> Processing Dependency: libapt-pkg-libc6.3-6.so.2 for package: synaptic
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package apt.i386 0:0.5.15cnc6-12.r362 set to be updated
---> Package wxGTK-common.i386 0:2.4.2-7 set to be updated
--> Running transaction check

Dependencies Resolved
Transaction Listing:
  Update: pyzor.noarch 0:0.4.0-6 - extras
  Update: imlib2.i386 0:1.2.0-4 - extras
  Update: alsaplayer.i386 0:0.99.76-3 - extras
  Update: synaptic.i386 0:0.55.3-2 - extras
  Update: wxGTK.i386 0:2.4.2-7 - extras
  Update: perl-IO-Socket-SSL.noarch 0:0.96-3 - extras
  Update: portaudio.i386 0:18.1-3 - extras
  Update: id3lib.i386 0:3.8.3-9 - extras
  Update: xosd.i386 0:2.2.14-1 - extras
  Update: Hermes.i386 0:1.3.3-6 - extras

Performing the following to resolve dependencies:
  Install: wxGTK-common.i386 0:2.4.2-7 - extras
  Update: apt.i386 0:0.5.15cnc6-12.r362 - extras
Total download size: 6.4 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Check Error:   package apt-0.5.15cnc6-53.4.rhfc3.at (which
is newer than apt-0.5.15cnc6-12.r362) is already installed
Comment 1 Phil Schaffner 2005-02-05 20:53:22 EST
Created attachment 110695 [details]
Output with -d5 attached.
Comment 2 Seth Vidal 2005-02-06 01:34:29 EST
run:
 yum list installed apt\* for me

thanks

Comment 3 Michael Schwendt 2005-02-06 12:12:52 EST
With apt-0.5.15cnc6-53.4.rhfc3.at providing libapt-pkg-libc6.3-6.so.0
(installed) and apt-0.5.15cnc6-12.r362 providing the newer
libapt-pkg-libc6.3-6.so.2, this is a repository mixing conflict indeed.
Comment 4 Phil Schaffner 2005-02-09 21:28:51 EST
[root@tabb1 ~]# yum list installed apt\*
Installed Packages
apt.i386                                 1:0.5.15cnc6-53.4.rhfc installed
Comment 5 Seth Vidal 2005-02-11 01:46:46 EST
I duplicated your situation and I applied a fix to yum cvs that corrects it.

Thanks for the bug report. It wasn't immediately clear but it is now.

Note You need to log in before you can comment on or make changes to this bug.